Package org.codehaus.groovy.runtime.powerassert

# Class SourceTextNotAvailableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.groovy.runtime.powerassert.SourceTextNotAvailableException

All Implemented Interfaces:
  `Serializable`

public class SourceTextNotAvailableException extends RuntimeException
Indicates that the source text for an assertion statement is not available.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SourceTextNotAvailableException

    public SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)